import request from '@/utils/request'

// 查询空间设置列表
export function listWorkspacesSet(query) {
  return request({
    url: '/system/workspacesSet/list',
    method: 'get',
    params: query
  })
}

// 查询空间设置详细
export function getWorkspacesSet(id) {
  return request({
    url: '/system/workspacesSet/' + id,
    method: 'get'
  })
}
// 修改空间设置
export function updateWorkspacesSet(data) {
  return request({
    url: '/system/workspacesSet',
    method: 'put',
    data: data
  })
}
//设置空间的智能体
export function setEnableBot(data) {
  return request({
    url: '/system/workspacesSet/setEnableBot',
    method: 'post',
    data: data
  })
}
